openldap (2.6.13+dfsg-1ubuntu3) stonking; urgency=medium

  * No-change rebuild against perl 5.42.3

 -- Ural Tunaboyu <ural@ubuntu.com>  Thu, 20 Aug 2026 11:06:14 -0700

openldap (2.6.13+dfsg-1ubuntu2) stonking; urgency=medium

  * No-change rebuild against libssl4

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Fri, 24 Jul 2026 08:00:29 +0000

openldap (2.6.13+dfsg-1ubuntu1) stonking; urgency=medium

  * Merge with Debian unstable (LP: #2158806). Remaining changes:
    - Enable AppArmor support:
      + d/apparmor-profile: add AppArmor profile
      + d/rules: use dh_apparmor
      + d/control: Build-Depends on dh-apparmor
      + d/slapd.README.Debian: add note about AppArmor
    - Enable ufw support:
      + d/control: suggest ufw.
      + d/rules: install ufw profile.
      + d/slapd.ufw.profile: add ufw profile.
    - d/{rules,slapd.py}: Add apport hook.
    - d/t/smbk5pwd: Allow the openldap user to read the Heimdal master
      key in the smbk5pwd DEP8 test (LP #2004560)
      [ Partially incorporated by Debian. ]
    - d/control: make libldap2 depend on libldap-common.
      (LP #2063161)
    - d/rules: remove override_dh_auto_build target
      + dh_auto_build-indep isn't run because of this leftover.
      + it was removed in debian in 2.6.9+dfsg-1
    - d/rules: fix dh_apparmor being skipped in -indep for -arch slapd package (LP #2119884)
    - d/apparmor-profile: add systemd-notify support (LP #2119884)
    - d/t/slapd: test if running in apparmor enforce mode (LP #2119884)
    - pbkdf2 changes:
      + d/p/lp2125685-pbkdf2-configurable-rounds: make iterations configurable (LP #2125685)
      + d/p/lp2125685-pbkdf2-fix-iteration-arg: fix iteration argument index (LP #2125685)
        [ The above upstream but unreleased (openldap) ]
      + d/t/pbkdf2-contrib: test if pbkdf2 hashing rounds are adjustable (LP #2125685)
  * Dropped changes:
    - d/t/ppm-contrib: test ppm password quality module (LP #2121816)
      [ Upstream in 2.6.13+dfsg-1 ]
    - d/slapd.config: fix infinite loop for invalid initial config (LP #12470)
      [ Upstream in 2.6.13+dfsg-1 ]

 -- Grayson Wolf <grayson.wolf@canonical.com>  Mon, 06 Jul 2026 15:09:19 -0400

openldap (2.6.13+dfsg-1) unstable; urgency=medium

  [ Ryan Tandy ]
  * New upstream release.
    - fixed libldap assertion failure on certain invalid server responses
      (ITS#10370) (Closes: #1109791)
  * Temporarily disable slapd-smbk5pwd autopkgtest, broken by heimdal-kdc
    lacking a systemd unit file; see #1039220.
  * Set libldap2-dev to Architecture: any and Multi-Arch: same, matching the
    real libldap-dev package that it depends on. Thanks to Helmut Grohne.
    (Closes: #1103918)
  * d/watch: Use the openldap-release index instead of just the current
    release page. Fixes "uscan --download-current-version" when the current
    version is not the latest.
  * Update Portuguese debconf templates translation.
    Thanks to Américo Monteiro. (Closes: #1107415)
  * Add Chinese debconf templates translations.
    Thanks to Yangfl. (Closes: #1124973)
  * Move the slapd-pw-sha2(5) man page to the slapd package.
    Thanks to Jens Meißner. (Closes: #1130869)
  * Update Italian debconf templates translation.
    Thanks to Luca Monducci.
  * Change default shell for openldap user from /bin/false to systemd-sysusers
    default shell (/usr/sbin/nologin).
  * Create the openldap user unconditionally, even if SLAPD_USER is changed.
    If needed, the user name can be customized, or creation disabled, by
    overriding /usr/lib/sysusers.d/slapd.conf with a drop-in.
  * Add upstream patch to fix test017 failing on 32-bit systems. (ITS#10508)
  * Build and install the slapo-autoca(5) overlay. (Closes: #1131044)
  * Install nestgroup.la, missed when slapo-nestgroup(5) was added.
  * Add upstream patch to fix FTBFS with OpenSSL 4.0.
    (ITS#10498) (Closes: #1138420)
  * d/control:
    - Update Standards-Version to 4.7.4.
    - Drop redundant Priority and Rules-Require-Root fields.

  [ Jonas Jelten ]
  * d/t/ppm-contrib: test ppm password quality module (LP: #2121816)
  * d/slapd.config: fix infinite loop for invalid initial config (LP: #12470)

  [ Luca Boccassi ]
  * Use dh-sequence-installsysusers for system user/group creation
    (Closes: #1104574)

  [ Grayson Wolf ]
  * d/slapd.service: make ExecStart path absolute (LP: #2152633)

 -- Ryan Tandy <ryan@nardis.ca>  Mon, 22 Jun 2026 15:45:06 -0700

openldap (2.6.10+dfsg-1ubuntu6) stonking; urgency=medium

  * d/slapd.config: fix infinite loop for invalid initial config (LP: #12470)

 -- Jonas Jelten <jj@ubuntu.com>  Wed, 20 May 2026 16:23:06 +0200

openldap (2.6.10+dfsg-1ubuntu5) resolute; urgency=medium

  * d/t/ppm-contrib: test ppm password quality module (LP: #2121816)

 -- Jonas Jelten <jonas.jelten@canonical.com>  Mon, 24 Nov 2025 12:17:55 +0100

openldap (2.6.10+dfsg-1ubuntu4) resolute; urgency=medium

  * pbkdf2 iteration configuration improvement (LP: #2125685)
    - d/p/lp2125685-pbkdf2-fix-iteration-arg: prevent more module arguments
    - d/t/pbkdf2-contrib: test for bogus arguments

 -- Jonas Jelten <jonas.jelten@canonical.com>  Thu, 23 Oct 2025 13:21:24 +0200

openldap (2.6.10+dfsg-1ubuntu3) resolute; urgency=medium

  * Fix slapd apparmor profile (LP: #2119884)
    - d/rules: fix dh_apparmor being skipped in -indep for -arch slapd package
    - d/apparmor-profile: add systemd-notify support
    - d/t/slapd: test if running in apparmor enforce mode
  * d/rules: remove leftover bogus override_dh_auto_build target
  * pbkdf2 iteration configuration support (LP: #2125685)
    - d/p/lp2125685-pbkdf2-configurable-rounds: make iterations configurable
    - d/p/lp2125685-pbkdf2-fix-iteration-arg: fix iteration argument index
    - d/t/pbkdf2-contrib: test if pbkdf2 hashing rounds are adjustable

 -- Jonas Jelten <jonas.jelten@canonical.com>  Thu, 25 Sep 2025 15:45:49 +0200

openldap (2.6.10+dfsg-1ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 14:18:19 +0000

openldap (2.6.10+dfsg-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Enable AppArmor support:
      + d/apparmor-profile: add AppArmor profile
      + d/rules: use dh_apparmor
      + d/control: Build-Depends on dh-apparmor
      + d/slapd.README.Debian: add note about AppArmor
    - Enable ufw support:
      + d/control: suggest ufw.
      + d/rules: install ufw profile.
      + d/slapd.ufw.profile: add ufw profile.
    - d/{rules,slapd.py}: Add apport hook.
    - d/t/smbk5pwd: Allow the openldap user to read the Heimdal master
      key in the smbk5pwd DEP8 test (LP #2004560)
      [ Partially incorporated by Debian. ]
    - d/control: make libldap2 depend on libldap-common.
      (LP #2063161)

 -- Bryce Harrington <bryce@canonical.com>  Tue, 12 Aug 2025 10:57:08 -0700

openldap (2.6.10+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Ryan Tandy <ryan@nardis.ca>  Thu, 29 May 2025 16:41:48 -0700

openldap (2.6.9+dfsg-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Enable AppArmor support:
      + d/apparmor-profile: add AppArmor profile
      + d/rules: use dh_apparmor
      + d/control: Build-Depends on dh-apparmor
      + d/slapd.README.Debian: add note about AppArmor
    - Enable ufw support:
      + d/control: suggest ufw.
      + d/rules: install ufw profile.
      + d/slapd.ufw.profile: add ufw profile.
    - d/{rules,slapd.py}: Add apport hook.
    - d/t/smbk5pwd: Allow the openldap user to read the Heimdal master
      key in the smbk5pwd DEP8 test (LP #2004560)
      [ Partially incorporated by Debian. ]
    - d/control: make libldap2 depend on libldap-common. (LP #2063161)
  * Drop changes:
    - debian/rules: fix buildability under pkg.openldap.noslapd profile.
      [ Not needed anymore. ]

 -- Bryce Harrington <bryce@canonical.com>  Fri, 14 Mar 2025 22:58:33 -0700

openldap (2.6.9+dfsg-2) unstable; urgency=medium

  [ Adriano Rafael Gomes ]
  * Update Brazilian Portuguese debconf templates translation
    (Closes: #1093449)

  [ Ryan Tandy ]
  * d/salsa-ci.yml: Switch to including just recipes/debian.yml.
  * Fix FTCBFS: use AC_CHECK_TOOLS to detect host-prefixed tools. Thanks to
    Helmut Grohne for the patch. (Closes: #1094386)
  * d/rules: Add answers for native-only configure checks when cross-building.
    Thanks to Helmut Grohne for his input.
  * d/salsa-ci.yml: Enable cross-build test job.
  * d/control: Annotate slapd's test dependencies with <!pkg.openldap.noslapd>
    in addition to <!nocheck>.
  * Delete obsolete manual testing scripts:
    d/tests/{check_upgradepath,create_account,hammer_slapd}.
  * d/rules: Stop including /usr/share/dpkg/buildtools.mk; no longer needed.
  * d/control: Update Standards-Version to 4.7.2. No changes needed.

 -- Ryan Tandy <ryan@nardis.ca>  Tue, 11 Mar 2025 16:27:52 -0700

openldap (2.6.9+dfsg-1) unstable; urgency=medium

  * Upload to unstable.
  * d/slapd.preinst: Back up config as LDIF before transitioning to OpenSSL.
  * d/NEWS, d/slapd.README.Debian:
    - Announce the switch to OpenSSL.
    - Document behaviour and config settings affected by the change.
  * d/control: Declare Standards-Version: 4.7.0.
  * d/slapd.service: Delete After=syslog.target. Fixes a Lintian warning
    (systemd-service-file-refers-to-obsolete-target).
  * Disable flaky tests test063-delta-multiprovider and
    test069-delta-multiprovider-starttls. Mitigates #1010608.
  * d/rules: Delete override_dh_auto_build target, so that -indep/-arch are
    actually used. See #1014334.
  * d/slapd.init:
    - Fix status_of_proc pidfile argument.
    - Fix olcPidFile regexp.
  * d/control: Remove inactive team members from Uploaders. Thanks to Torsten
    and Steve for their many past contributions.
  * d/gbp.conf: Return to master branch.

 -- Ryan Tandy <ryan@nardis.ca>  Tue, 14 Jan 2025 18:30:51 -0800

openldap (2.6.9+dfsg-1~exp2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085260). Remaining changes:
    - Enable AppArmor support:
      + d/apparmor-profile: add AppArmor profile
      + d/rules: use dh_apparmor
      + d/control: Build-Depends on dh-apparmor
      + d/slapd.README.Debian: add note about AppArmor
    - Enable ufw support:
      + d/control: suggest ufw.
      + d/rules: install ufw profile.
      + d/slapd.ufw.profile: add ufw profile.
    - d/{rules,slapd.py}: Add apport hook.
    - d/t/smbk5pwd: Allow the openldap user to read the Heimdal master key in the
      smbk5pwd DEP8 test (LP #2004560)
      [ Partially incorporated by Debian. ]
    - d/control: make libldap2 depend on libldap-common. (LP #2063161)
  * Drop changes:
    - debian/rules: fix buildability under pkg.openldap.noslapd profile.
      [ Not needed anymore. ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Fri, 10 Jan 2025 16:55:16 -0500

openldap (2.6.9+dfsg-1~exp2) experimental; urgency=medium

  [ Ryan Tandy ]
  * Change TLS library from GnuTLS to OpenSSL.
    - d/control: Replace Build-Depends: libgnutls28-dev, nettle-dev with
      libssl-dev.
    - d/configure.options: Configure --with-tls=openssl.
    - d/p/contrib-makefiles: Drop changes to pbkdf2 and smbk5pwd to use
      nettle.
    - d/p/add-tlscacert-option-to-ldap-conf: Drop patch since the OpenSSL
      backend activates the default CAs automatically.
    - d/p/ldap-conf-tls-cacertdir: Drop patch since GnuTLS caveats are no
      longer applicable.
    - d/slapd.README.Debian: Drop GnuTLS caveat.

  [ Michael Tokarev ]
  * d/control: remove very old (before buster) versioned depends/conflicts
  * d/libldap2.README.Debian: remove: umounting /usr is not very interesting
    in 2025 (see also #182536)
  * remove ldiftopasswd script (it is a rather dangerous example to carry on)
  * d/slapd.scripts-common,d/debian/slapd.postinst: do not create
    /var/run/slapd (created in the startup script)
  * d/slapd.init: stop providing /var/run/slapd/ldapi symlink for compatibility
    with openldap 2.1
  * d/slapd.init: simplify it significantly
  * d/configure-options: enable systemd support (Closes: #1039299 #877512)
  * d/slapd.default, d/slapd.init: do not use "export" keyword in the default
    file (so it is processed by systemd), but export KRB5_KTNAME in init if set
  * d/rules: fix $? usage in clean target
  * d/rules: stop overriding dh_missing --fail-missing: it is the default
    in dh-compat 13+
  * d/rules: only do actual work in arch-dependent build
  * d/control: add myself to Uploaders
  * d/rules: add -Wno-unused-const-variable to CFLAGS
  * d/rules: add LC_ALL=C for the build rule
  * d/rules: add slapdS.c to blhc ignore-line
  * d/libldap-dev.links: stop generating it, dh is capable to expand variables
  * d/rules: fix override_dh_makeshlibs & override_dh_installdeb conditionals
  * d/slapd.preinst: remove stopping of slapd
    (#989155 in debhelper has been fixed)
  * d/rules: build flags & build tools
  * d/rules: simplify noslapd build-profile expressions by using noslapd var
  * d/rules: export DEB_MAINTAINER only once

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 08 Jan 2025 21:02:34 +0300

openldap (2.6.9+dfsg-1~exp1) experimental; urgency=medium

  [ Carles Pina i Estany ]
  * Update po-debconf Catalan translation

  [ Ryan Tandy ]
  * New upstream release.
    - Update patch 64-bit-time-t-compat.patch.
    - Drop ITS#10253 patch, applied upstream.
  * Apply patch from Helmut Grohne to fix cross-building ppm.
    (Closes: #1079533)

 -- Ryan Tandy <ryan@nardis.ca>  Mon, 23 Dec 2024 12:07:55 -0800

openldap (2.6.8+dfsg-1~exp4ubuntu3) plucky; urgency=medium

  * No-change rebuild for perl soname.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Oct 2024 21:35:40 +0200

openldap (2.6.8+dfsg-1~exp4ubuntu2) plucky; urgency=medium

  * No-change rebuild for libperl soname.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Oct 2024 13:58:29 +0200

openldap (2.6.8+dfsg-1~exp4ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2078261). Remaining changes:
    - Enable AppArmor support:
      + d/apparmor-profile: add AppArmor profile
      + d/rules: use dh_apparmor
      + d/control: Build-Depends on dh-apparmor
      + d/slapd.README.Debian: add note about AppArmor
    - Enable ufw support:
      + d/control: suggest ufw.
      + d/rules: install ufw profile.
      + d/slapd.ufw.profile: add ufw profile.
    - d/{rules,slapd.py}: Add apport hook.
    - d/t/smbk5pwd: Allow the openldap user to read the Heimdal master key in the
      smbk5pwd DEP8 test (LP #2004560)
      [ Partially incorporated by Debian. ]
    - debian/rules: fix buildability under pkg.openldap.noslapd profile.
    - debian/rules: drop override of dh_missing, --fail-missing is the default
      with debhelper compat 13.
    - d/control: make libldap2 depend on libldap-common. (LP #2063161)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 28 Aug 2024 13:49:17 -0400

openldap (2.6.8+dfsg-1~exp4) experimental; urgency=medium

  * Add a superficial autopkgtest to ensure back_perl can be loaded.
  * Fix FTBFS on 32-bit architectures. (ITS#10253) (Closes: #1078822)

 -- Ryan Tandy <ryan@nardis.ca>  Fri, 23 Aug 2024 12:15:12 -0700

openldap (2.6.8+dfsg-1~exp3ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2064434). Remaining changes:
    - Enable AppArmor support:
      + d/apparmor-profile: add AppArmor profile
      + d/rules: use dh_apparmor
      + d/control: Build-Depends on dh-apparmor
      + d/slapd.README.Debian: add note about AppArmor
    - Enable ufw support:
      + d/control: suggest ufw.
      + d/rules: install ufw profile.
      + d/slapd.ufw.profile: add ufw profile.
    - d/{rules,slapd.py}: Add apport hook.
    - d/t/smbk5pwd: Allow the openldap user to read the Heimdal master key in the
      smbk5pwd DEP8 test (LP #2004560)
      [ Partially incorporated by Debian. ]
    - debian/rules: fix buildability under pkg.openldap.noslapd profile.
    - debian/rules: drop override of dh_missing, --fail-missing is the default
      with debhelper compat 13.
    - d/control: make libldap2 depend on libldap-common. (LP #2063161)
  * Drop changes:
    - debian/patches/64-bit-time-t-compat.patch: handle sizeof(time_t) >
      sizeof(long) in format strings.
      [ Incorporated by Debian. ]
    - Fix implicit declaration of kadm5_s_init_with_password_ctx.
      (Closes: #1065633)
      [ Incorporated by upstream. ]
    - d/rules: better regexp to match the Maintainer tag in d/control,
      needed in the Ubuntu case because of XSBC-Original-Maintainer
      (Closes #960448, LP #1875697)
      [ Incorporated by Debian. ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 25 Jun 2024 15:07:13 -0400

openldap (2.6.8+dfsg-1~exp3) experimental; urgency=medium

  [ Helmut Grohne ]
  * Move systemd drop-in to /usr (DEP17). (Closes: #1073059)

 -- Ryan Tandy <ryan@nardis.ca>  Wed, 12 Jun 2024 20:12:08 -0700

openldap (2.6.8+dfsg-1~exp2) experimental; urgency=medium

  * Ship slapo-nestgroup files in the main slapd binary package.
    - d/slapd-contrib.{install,manpages}: Move slapo-nestgroup files to...
    - d/slapd.{install,manpages}: ...here.
    Thanks to Ryan Tandy for letting me know about this mistake.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 31 May 2024 13:30:18 -0400

openldap (2.6.8+dfsg-1~exp1) experimental; urgency=medium

  [ Sergio Durigan Junior ]
  * d/rules: Anchor DEB_MAINTAINER regexp.
    This is needed in Ubuntu because of XSBC-Original-Maintainer.
  * New upstream version 2.6.8+dfsg
  * d/p/smbk5pwd-implicit-declaration: Remove; fixed upstream.
  * d/control: B-D on pkgconf instead of pkg-config.
  * d/p/slapd-contrib.{install,manpages}: Install new slapo-nestgroup overlay.

  [ Steve Langasek ]
  * debian/patches/64-bit-time-t-compat:
    handle sizeof(time_t) > sizeof(long) in format strings.

  [ Ryan Tandy ]
  * Drop transitional package slapd-smbk5pwd. (Closes: #1032742)
  * Drop dbgsym migration for slapd-dbg.
    The dbgsym transition was done in buster.
  * Build and install the ppm module in slapd-contrib. (Closes: #1039740)
  * Fix implicit declaration of kadm5_s_init_with_password_ctx.
    (Closes: #1065633)
  * debian/patches/64-bit-time-t-compat.patch: Refresh patch.
  * debian/copyright: Exclude doc/guide/admin/guide.html from
    the upstream source.
    The tool required to build it from source is not packaged in Debian.
    Fixes a Lintian error (source-is-missing).
  * Update Swedish debconf translation.
    Thanks to Martin Bagge and Anders Jonsson (Closes: #1056955)
  * debian/salsa-ci.yml: Enable Salsa CI pipeline.
  * debian/copyright: Remove build/missing.
    Fixes a Lintian warning (superfluous-file-pattern).

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 30 May 2024 23:18:02 -0400

openldap (2.6.7+dfsg-1~exp1ubuntu9) oracular; urgency=medium

  * d/control: make libldap2 depend on libldap-common. (LP: #2063161)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 12 Jun 2024 10:46:50 -0300

openldap (2.6.7+dfsg-1~exp1ubuntu8) noble; urgency=medium

  * Fix implicit declaration of kadm5_s_init_with_password_ctx.
    (Closes: #1065633)

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Apr 2024 20:47:41 +0200

openldap (2.6.7+dfsg-1~exp1ubuntu7) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:41:33 +0000

openldap (2.6.7+dfsg-1~exp1ubuntu6) noble; urgency=medium

  * Revert change to ignore test failures.
  * debian/patches/64-bit-time-t-compat.patch: handle sizeof(time_t) >
    sizeof(long) in format strings.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 07:32:43 +0000

openldap (2.6.7+dfsg-1~exp1ubuntu5) noble; urgency=medium

  * No-change rebuild against libperl5.38t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 18:22:24 +0000

openldap (2.6.7+dfsg-1~exp1ubuntu4) noble; urgency=medium

  * Rebuild against libgnutls30t64.
  * debian/rules: fix buildability under pkg.openldap.noslapd profile.
  * debian/rules: drop override of dh_missing, --fail-missing is the default
    with debhelper compat 13.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Mar 2024 20:22:45 +0000

openldap (2.6.7+dfsg-1~exp1ubuntu3) noble; urgency=medium

  * Temporarily ignore failures from build-time tests to finish 
    bootstrapping for time_t.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 03 Mar 2024 21:46:31 +0000

openldap (2.6.7+dfsg-1~exp1ubuntu2) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 17:03:45 +0100

openldap (2.6.7+dfsg-1~exp1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040405). Remaining changes:
    - Enable AppArmor support:
      + d/apparmor-profile: add AppArmor profile
      + d/rules: use dh_apparmor
      + d/control: Build-Depends on dh-apparmor
      + d/slapd.README.Debian: add note about AppArmor
    - Enable ufw support:
      + d/control: suggest ufw.
      + d/rules: install ufw profile.
      + d/slapd.ufw.profile: add ufw profile.
    - d/{rules,slapd.py}: Add apport hook.
    - d/rules: better regexp to match the Maintainer tag in d/control,
      needed in the Ubuntu case because of XSBC-Original-Maintainer
      (Closes #960448, LP #1875697)
    - d/t/smbk5pwd: Allow the openldap user to read the Heimdal master key in the
      smbk5pwd DEP8 test (LP #2004560)
      [ Partially incorporated by Debian. ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 06 Feb 2024 14:46:16 -0500

openldap (2.6.7+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 2.6.7+dfsg
  * d/p/contrib-makefiles: Refresh patch.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 01 Feb 2024 16:24:20 -0500

openldap (2.6.6+dfsg-1~exp2) experimental; urgency=medium

  * Update debconf translations:
    - German, thanks to Helge Kreutzmann. (Closes: #1007728)
    - Spanish, thanks to Camaleón. (Closes: #1008529)
    - Dutch, thanks to Frans Spiesschaert. (Closes: #1010034)
    - Turkish, thanks to Atila KOÇ. (Closes: #1029758)
    - Romanian, thanks to Remus-Gabriel Chelu. (Closes: #1033177)
  * Create an autopkgtest covering basic TLS functionality.
    Thanks to John Scott.

 -- Ryan Tandy <ryan@nardis.ca>  Wed, 09 Aug 2023 10:10:54 -0700

openldap (2.6.6+dfsg-1~exp1ubuntu2) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2024 14:12:11 +0100

openldap (2.6.6+dfsg-1~exp1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2028721). Remaining changes:
    - Enable AppArmor support:
      + d/apparmor-profile: add AppArmor profile
      + d/rules: use dh_apparmor
      + d/control: Build-Depends on dh-apparmor
      + d/slapd.README.Debian: add note about AppArmor
    - Enable ufw support:
      + d/control: suggest ufw.
      + d/rules: install ufw profile.
      + d/slapd.ufw.profile: add ufw profile.
    - d/{rules,slapd.py}: Add apport hook.
    - d/rules: better regexp to match the Maintainer tag in d/control,
      needed in the Ubuntu case because of XSBC-Original-Maintainer
      (Closes #960448, LP #1875697)
    - d/t/smbk5pwd: Allow the openldap user to read the Heimdal master key in the
      smbk5pwd DEP8 test (LP #2004560)
      [ Partially incorporated by Debian. ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 02 Aug 2023 19:53:17 -0400

openldap (2.6.6+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 2.6.6+dfsg

 -- Sergio Durigan Junior <sergiodj@debian.org>  Mon, 31 Jul 2023 18:24:38 -0400

openldap (2.6.5+dfsg-1~exp1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2028721). Remaining changes:
    - Enable AppArmor support:
      + d/apparmor-profile: add AppArmor profile
      + d/rules: use dh_apparmor
      + d/control: Build-Depends on dh-apparmor
      + d/slapd.README.Debian: add note about AppArmor
    - Enable ufw support:
      + d/control: suggest ufw.
      + d/rules: install ufw profile.
      + d/slapd.ufw.profile: add ufw profile.
    - d/{rules,slapd.py}: Add apport hook.
    - d/rules: better regexp to match the Maintainer tag in d/control,
      needed in the Ubuntu case because of XSBC-Original-Maintainer
      (Closes #960448, LP #1875697)
    - d/t/smbk5pwd: Allow the openldap user to read the Heimdal master key in the
      smbk5pwd DEP8 test (LP #2004560)
      [ Partially incorporated by Debian. ]
  * Drop changes:
    - Build the passwd/sha2 contrib module with -fno-strict-aliasing to
      avoid computing an incorrect SHA256 hash with some versions of the
      compiler (LP: #2000817):
      + d/t/{control,sha2-contrib}: test to verify the SHA256 hash
        produced by passwd/sha2
      + d/rules: set -fno-strict-aliasing only when building the
        passwd/sha2 contrib module
      [ Incorporated by Debian. ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 27 Jul 2023 13:18:18 -0400

openldap (2.6.5+dfsg-1~exp1) experimental; urgency=medium

  [ Sergio Durigan Junior ]
  * New upstream version 2.6.5+dfsg
  * d/control: Bump Standards-Version to 4.6.2; no changes needed.
  * d/control: Bump debhelper-compat to 13.
  * d/control: Drop lsb-base from slapd's Depends.

  [ Ryan Tandy ]
  * d/tests/smbk5pwd: Grant slapd access to /var/lib/heimdal-kdc. Fixes the
    autopkgtest failure due to heimdal setting mode 700 on this directory.
    (Closes: #1020442)
  * d/source/lintian-overrides: Add wildcards to make overrides compatible
    with both older and newer versions of lintian.
  * d/slapd-contrib.lintian-overrides: Remove unused
    custom-library-search-path override now that krb5-config no longer sets
    -rpath.
  * Fix sha2-contrib autopkgtest failure. Call slappasswd using its full path.
    (Closes: #1030814)

  [ Gioele Barabucci ]
  * slapd.scripts-common: Avoid double-UTF8-encoding org name.
    (Closes: #1016185)
  * d/slapd.scripts-common: Remove outdated `migrate_to_slapd_d_style`
  * d/slapd.postinst: Remove test for ancient version.
  * slapd.scripts-common: Remove unused `normalize_ldif`
  * d/slapd.scripts-common: Use sed instead of perl in `release_diagnostics`

  [ Andreas Hasenack ]
  * d/rules: Fix passwd/sha2 build.
    Build the passwd/sha2 contrib module with -fno-strict-aliasing to avoid
    computing an incorrect SHA256 hash with some versions of the compiler
    (Closes: #1030716, LP: #2000817)
  * d/t/sha2-contrib: add test for sha2 module.
    DEP8 test to verify the SHA256 hash produced by passwd/sha2

 -- Sergio Durigan Junior <sergiodj@debian.org>  Mon, 24 Jul 2023 19:26:16 -0400

openldap (2.6.4+dfsg-1~exp1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2018093). Remaining changes:
    - Enable AppArmor support:
      + d/apparmor-profile: add AppArmor profile
      + d/rules: use dh_apparmor
      + d/control: Build-Depends on dh-apparmor
      + d/slapd.README.Debian: add note about AppArmor
    - Enable ufw support:
      + d/control: suggest ufw.
      + d/rules: install ufw profile.
      + d/slapd.ufw.profile: add ufw profile.
    - d/{rules,slapd.py}: Add apport hook.
    - d/rules: better regexp to match the Maintainer tag in d/control,
      needed in the Ubuntu case because of XSBC-Original-Maintainer
      (Closes #960448, LP #1875697)
    - Build the passwd/sha2 contrib module with -fno-strict-aliasing to
      avoid computing an incorrect SHA256 hash with some versions of the
      compiler (LP #2000817):
      + d/t/{control,sha2-contrib}: test to verify the SHA256 hash
        produced by passwd/sha2
      + d/rules: set -fno-strict-aliasing only when building the
        passwd/sha2 contrib module
    - d/t/smbk5pwd: Allow the openldap user to read the Heimdal master key in the
      smbk5pwd DEP8 test (LP #2004560)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 21 Jun 2023 14:48:31 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libldap-common`.
